org.richfaces.fragment.dataTable

## Class AbstractTable.AdvancedTableInteractions

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions

- Direct Known Subclasses:
    RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions, RichFacesDataTable.AdvancedDataTableInteractions, RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions
  Enclosing class:
    AbstractTable<HEADER,ROW,FOOTER>

      public abstract class AbstractTable.AdvancedTableInteractions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTable.AdvancedTableInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getCellElement(int column, int row)`
    `org.openqa.selenium.WebElement` | `getColumnFooterElement(int column)`
    `abstract List<org.openqa.selenium.WebElement>` | `getColumnFooterElements()`
    `org.openqa.selenium.WebElement` | `getColumnHeaderElement(int column)`
    `abstract List<org.openqa.selenium.WebElement>` | `getColumnHeaderElements()`
    `abstract List<org.openqa.selenium.WebElement>` | `getFirstRowCellsElements()`
    `abstract org.openqa.selenium.WebElement` | `getFooterElement()`
    `abstract org.openqa.selenium.WebElement` | `getHeaderElement()`
    `abstract org.openqa.selenium.WebElement` | `getNoDataElement()`
    `int` | `getNumberOfColumns()`
    `int` | `getNumberOfVisibleRows()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `abstract org.openqa.selenium.By` | `getSelectorForCell(int column)`
    `abstract List<org.openqa.selenium.WebElement>` | `getTableRowsElements()`
    `abstract org.openqa.selenium.WebElement` | `getWholeTableFooterElement()`
    `abstract org.openqa.selenium.WebElement` | `getWholeTableHeaderElement()`
    `boolean` | `isNoData()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTable.AdvancedTableInteractions

          public AbstractTable.AdvancedTableInteractions()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getNumberOfColumns

          public int getNumberOfColumns()

    - #### getNumberOfVisibleRows

          public int getNumberOfVisibleRows()

    - #### isVisible

          public boolean isVisible()

    - #### isNoData

          public boolean isNoData()

    - #### getCellElement

          public org.openqa.selenium.WebElement getCellElement(int column,
                                                      int row)

    - #### getColumnHeaderElement

          public org.openqa.selenium.WebElement getColumnHeaderElement(int column)

    - #### getColumnFooterElement

          public org.openqa.selenium.WebElement getColumnFooterElement(int column)

    - #### getNoDataElement

          public abstract org.openqa.selenium.WebElement getNoDataElement()

    - #### getTableRowsElements

          public abstract List<org.openqa.selenium.WebElement> getTableRowsElements()

    - #### getFirstRowCellsElements

          public abstract List<org.openqa.selenium.WebElement> getFirstRowCellsElements()

    - #### getSelectorForCell

          public abstract org.openqa.selenium.By getSelectorForCell(int column)

    - #### getWholeTableHeaderElement

          public abstract org.openqa.selenium.WebElement getWholeTableHeaderElement()

    - #### getWholeTableFooterElement

          public abstract org.openqa.selenium.WebElement getWholeTableFooterElement()

    - #### getHeaderElement

          public abstract org.openqa.selenium.WebElement getHeaderElement()

    - #### getFooterElement

          public abstract org.openqa.selenium.WebElement getFooterElement()

    - #### getColumnHeaderElements

          public abstract List<org.openqa.selenium.WebElement> getColumnHeaderElements()

    - #### getColumnFooterElements

          public abstract List<org.openqa.selenium.WebElement> getColumnFooterElements()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.